View Issue Details

IDProjectCategoryView StatusLast Update
0034208LazarusLCLpublic2018-09-16 13:12
ReporterEuigon Suh Assigned ToBart Broersma  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
OSMS Windows 
Target Version1.8.6Fixed in Version1.8.6 
Summary0034208: TValueListEditor not working - sorting and deleting
DescriptionWhen I try to sort or delete TValueListEditor, there are strange behavior if sort or delete is EXECUTED WITH TVALUELISTEDITOR FOCUSED.

This error happens when I run delete or sort from pop-up menu or tool button (which do not move away the focus). Ordinary TButton moves away the focus so there are no error.
Steps To ReproduceDrop a TValueListEditor, a TButton, a TToolButton, and TPopmenu on a form. All button and menuitem does the same thing:

     ValueListEditor1.DeleteRow(ValueListEditor1.Row); // or sort

You will see that results are not the same.
TagsNo tags attached.
Fixed in Revisionr59030
LazTarget1.8.6
Widgetset
Attached Files

Activities

Euigon Suh

2018-08-31 07:41

reporter  

ValueListEditor.zip (5,124 bytes)

Bart Broersma

2018-08-31 18:58

developer   ~0110417

Please move to Lazarus (and assign to me if you have the rights).

Bart Broersma

2018-08-31 19:16

developer   ~0110419

Your sampleprogram does not compile:
project1.lpr(10,10) Fatal: Cannot find rcfeditor_5 used by project1 of the Project Inspector.

Bart Broersma

2018-08-31 19:26

developer   ~0110420

Seems this only happens when goAlwaysShowEditor in in Options.

Bart Broersma

2018-09-01 12:56

developer   ~0110435

Maybe all these actions need EditorMode := False.

Bart Broersma

2018-09-16 13:12

developer   ~0110781

Please test and close if OK.
Note: if you manipulate Strings property, you must hide the editor yourself.

Issue History

Date Modified Username Field Change
2018-08-31 07:41 Euigon Suh New Issue
2018-08-31 07:41 Euigon Suh File Added: ValueListEditor.zip
2018-08-31 18:58 Bart Broersma Note Added: 0110417
2018-08-31 19:16 Bart Broersma Note Added: 0110419
2018-08-31 19:26 Bart Broersma Note Added: 0110420
2018-08-31 21:49 Marco van de Voort Project FPC => Lazarus
2018-08-31 21:50 Marco van de Voort Assigned To => Bart Broersma
2018-08-31 21:50 Marco van de Voort Status new => assigned
2018-09-01 12:56 Bart Broersma Note Added: 0110435
2018-09-16 13:12 Bart Broersma Fixed in Revision => r59030
2018-09-16 13:12 Bart Broersma LazTarget => 1.8.6
2018-09-16 13:12 Bart Broersma Note Added: 0110781
2018-09-16 13:12 Bart Broersma Status assigned => resolved
2018-09-16 13:12 Bart Broersma Fixed in Version => 1.8.6
2018-09-16 13:12 Bart Broersma Resolution open => fixed
2018-09-16 13:12 Bart Broersma Target Version => 1.8.6